function out = isLinkTable(linkTable, N)

    assert(~isempty(linkTable), '"linkTable" is empty');
    if (nargin < 2), N = max(linkTable(:)); end
    
    % Check whether a link table is well-formed
    assert(numel(N) == 1 && isfinite(N) && N > 0 && N == floor(N), '"N" must be greater than 0');
    assert(ndims(linkTable) == 2 && ...
        size(linkTable, 2) == 2 && all(linkTable(:) == round(linkTable(:))) && ...
        all(isfinite(linkTable(:))) && min(linkTable(:)) > 0, ...
        '"linkTable" must be a non-negative non-zero integer Ex2 matrix');
    assert(max(linkTable(:)) <= N, ...
        sprintf('Node Ids in "linkTable" must be between 1 and %d', N));
    
    out = true;

end