function yesNo = isSimpleGraph(linkTable)

    % Check whether is a graph is simple: no more than one link
	% per node pair
    %
    % Syntax: yesNo = isSimpleGraph(linkTable)
    %
    % Input parameters:
    % - linkTable (Ex2): A table in which each row represents
	%   the origin and the destination nodes of the link
    %
    % Output parameters:
    % - yesNo: '1' if is simple, '0' if not

	%% Sanity check
	assert(isLinkTable(linkTable), 'A valid set of links is required');
		
	%% Perform check
	yesNo = isequal(size(unique(linkTable, 'rows')),size(linkTable));

end