function [x_dp pathList] = xde2xdp(x_de, linkTable, costPerLink, demandTable)

    PRECISIONFACTOR = 1e-3;

    D = size(demandTable, 1);

    x_dp = sparse(D,0);
    pathList = cell(1,0);

    for demandId = 1:D

        P_d = zeros (1,0);

        while sum(x_dp(demandId, P_d)) < 1 - PRECISIONFACTOR

            linksCarryingTraffic = find( x_de(demandId, :) > 0);
            if isempty(linksCarryingTraffic), break; end

            p = shortestPath(linkTable(linksCarryingTraffic,:), ...
                costPerLink(linksCarryingTraffic), ...
                demandTable(demandId, 1), ...
                demandTable(demandId, 2));

            assert(~isempty(p), 'A feasible path can''t be found');

            trafficInPath = min(x_de(demandId, linksCarryingTraffic(p)));

            pathList {end+1} = linksCarryingTraffic(p);
            x_dp (demandId, end+1) = trafficInPath;
            P_d (end+1) = size (x_dp , 2);
            x_de (demandId, linksCarryingTraffic(p)) = x_de(demandId, linksCarryingTraffic(p)) - trafficInPath;

        end

    end

end