function netStruct = removeRoutingInformation(netStruct)

	% Function to remove routing information from netStruct
	% when due to any operation (as a link capacity change), that
	% becomes obsolete.
	%
	% Syntax: netStruct = removeRoutingInformation(netStruct)
	%
	% Input parameters:
	% - netStruct: A valid netStruct
	%
	% Output parameters:
	% - netStruct: Same input netStruct without routing information

	if isfield(netStruct, 'pathList'), netStruct = rmfield(netStruct, 'pathList'); end
	if isfield(netStruct, 'routingMatrix'), netStruct = rmfield(netStruct, 'routingMatrix'); end

end